<?php
/**
 *	This class contaims static constants for plugin Multisel
 *	to provide easy changing.
 *
 * @author Schoenmann Guenter
 * @version 1.0.0.0
 */
class inoplugs_multiselect_const extends inoplugs_object
{

					//	always write values in lowercase, if needed to work with
	const	section_query = '$$query$$';
	const	section_display = '$$display$$';

	const	qu_catsel = 'categoryselection';
	const	qu_select = 'select';
	const	qu_relation = 'relation';

	const	key_cats = 'cats';
	const	key_catsname = 'catsname';
	const	key_taxs = 'taxs';
	const	key_posttypes = 'posttypes';
	const	key_operator = 'operator';

	const	key_scode_cssid = 'cssid';
	const	key_scode_queryid = 'queryid';
	const   key_scode_showposts = 'showposts';
	const	key_scode_error = 'error';

	const	wpqu_tax = 'tax_query';
	const	wpqu_meta = 'meta_query';

	const	wpqu_taxonomy = 'taxonomy';
	const	wpqu_field = 'field';
	const	wpqu_terms = 'terms';
	const	wpqu_relation = 'relation';
	const	wpqu_operator = 'operator';

	const	err_warning = 'WARNING: ';
	const	err_error = 'FATAL ERROR: ';

	const	DISP_TITLE = '$$thetitle$$';
	const	DISP_CONTENT = '$$thecontent$$';
	const	DISP_EXCERPT = '$$theexcerpt$$';
	const	DISP_PERMALINK = '$$thepermalink$$';
	const	DISP_CATEGORIES = '$$thecategories$$';
	const	DISP_TAGS = '$$thetags$$';
	const	DISP_CUSTOMFIELDS = '$$customfields$$';
	const	DISP_ATTACHMENTLINKS = '$$attachmentlinks$$';
	const	DISP_AUTHOR = '$$theauthor$$';
	const	DISP_DATE = '$$thedate$$';

	const	WPDB_OPT_INSTALLED_VERSION = 'inoplugs_multisel_dbversion';

	const	FILE_CSS_MULTISELECT = 'multiselect.css';
	const	FILE_CSS_MULTISELECT_CUSTOM = 'multiselect_custom.css';

	const	FILE_CSS_MULTISELECT_OPTIONS = 'multiselect_options.css';
	const	FILE_CSS_MULTISELECT_OPTIONS_CUSTOM = 'multiselect_options_custom.css';

	const	CSS_PRE = 'ipms-';
	const	CSS_DIV = 'div';
	const	CSS_POST = 'post';
	const	CSS_SKIN_DARK = 'bgskin-dark';
	const	CSS_SKIN_LIGHT = 'bgskin-light';

	const	CSS_POST_CONTAINER = 'postcomplete';
	const	CSS_TITLE = 'title';
	const	CSS_CONTENT = 'content';
	const	CSS_EXCERPT = 'excerpt';
	const	CSS_PERMALINK = 'permalink';
	const	CSS_PERMALINK_LINK = 'permalinklink';
	const	CSS_CATEGORIES = 'categories';
	const	CSS_CATEGORIES_LINKS = 'catlinks';
	const	CSS_TAGS = 'tags';
	const	CSS_TAGS_LINKS = 'taglinks';
	const	CSS_CUSTOMFIELDS = 'customfields';
	const	CSS_ATTACHMENT = 'attachment';
	const	CSS_ATTACHMENT_LINKS = 'attachmentlinks';
	const	CSS_DATE = 'date';
	const	CSS_AUTHOR = 'author';
	const	CSS_AUTHOR_LINKS = 'authorlinks';


//	const	CSS_HEAD = 'head';
	
	const	CSS_ADM_CONTAINER = 'ipms-container';
	const	ID_ADM_CONT_GENERAL = 'ipms-container-general';
	const	ID_ADM_CONT_QUERY = 'ipms-container-query';
	const	ID_ADM_CONT_DISPLAY = 'ipms-container-display';
	const	ID_ADM_CONT_ERROR = 'ipms-container-error';
	const	ID_ADM_CONT_INTERNAL = 'ipms-container-internal';

	const	CSS_ADM_LINE = 'ipms-line';

	const	CSS_ADM_GEN_COL1 = 'ipms-gen-col1';
	const	CSS_ADM_GEN_COL2 = 'ipms-gen-col2';
	const	CSS_ADM_GEN_COL3 = 'ipms-gen-col3';
	const	CSS_ADM_GEN_COL4 = 'ipms-gen-col4';
	const	CSS_ADM_GEN_COL5 = 'ipms-gen-col5';
	const	CSS_ADM_GEN_COL2_5 = 'ipms-gen-col2-5';

	const	CSS_ADM_GEN_TEXTAREA = 'ipms-gen-textarea';

	const	CSS_ADM_DISP_COL1 = 'ipms-disp-col1';
	const	CSS_ADM_DISP_COL2 = 'ipms-disp-col2';
	const	CSS_ADM_DISP_COL3 = 'ipms-disp-col3';

	const	CSS_ADM_COL1_TX = 'ipms-col1-tx';
	const	CSS_ADM_TEXT_NR = 'ipms-text-nr';
	const	CSS_ADM_TEXT_TEXT = 'ipms-text-text';
	const	CSS_ADM_SELECT = 'ipms-select';
	const	CSS_ADM_QUERY_TEXTAREA = 'ipms-query-textarea';

	const	CSS_ADM_GROUP_HEADLINE = 'ipms-group-headline';
	const	CSS_ADM_TABLE = 'ipms-table';

	const	CSS_ADM_SEL_LB_BUTTONS = 'ipms-listbox-buttons';
	const	CSS_ADM_SEL_DIV_LB_BUTTONS = 'ipms-div-listbox-buttons';
	const	CSS_ADM_CHECK = 'ipms-check';

	const	ID_ADM_ID = 'ipms-id';
	const	ID_ADM_SCODE = 'ipms-scode';
	const	ID_ADM_NAME = 'ipms-name';
	const	ID_ADM_COMMENT = 'ipms-comment';
	const	ID_ADM_CSSID = 'ipms-cssid';
	const	ID_ADM_SHOWPOSTS = 'ipms-showposts';
	const	ID_ADM_SHOWERRORS = 'ipms-showerrors';
	const	ID_ADM_DELETEDB = 'ipms-deletedb';

	const	ID_ADM_QUERYSTRING = 'ipms-querystring';
	const	ID_ADM_CHECKSYNTAX = 'ipms-checksyntax';
	const	ID_ADM_SHOWSYNTAX = 'ipms-showsyntax';
	const	ID_ADM_MSGSYNTAX = 'ipms-msgsyntax';
	const	ID_ADM_TEXTSYNTAX = 'ipms-txtsyntax';
	const	ID_ADM_TEXTWPQUERY = 'ipms-txtwp';
	const	ID_ADM_TEXTSQL = 'ipms-txtsql';
	const	ID_ADM_SQLERROR = 'ipms-sqlerror';
	
	const	ID_ADM_SELCONT_ALL = 'ipms-selcont-all';
	const	ID_ADM_SELCONT_SEL = 'ipms-selcont-sel';
	const	ID_ADM_DISP_LB_BUTT = 'ipms-disp-lb-butt';
	const	ID_ADM_SEL_BGTHEME= 'ipms-sel-bgtheme';

	const	ID_ADM_SAVE = 'ipms-save-changes';
	const	ID_ADM_RESET = 'ipms-reset';
	const	ID_ADM_DELETE = 'ipms-delete';
	const	ID_ADM_EDITQUERY = 'ipms-editquery';
	const	ID_ADM_DELETEQUERY = 'ipms-deletequery';

	const	ID_ADM_TABLE = 'ipms-table-queries';

	const	WP_ADMINPAGE_MS = 'inoplugs_multiselect';
	const	WP_ADMINPAGE_MS_ADDNEW = 'inoplugs_multiselect_addnew';
	const	WP_NONCE_MS = 'inoplugs_multiselect_nonce';
	const	WP_ID_NONCE = 'ipms-wp-multiselect';


	static public $sectionkeys;
	static public $displaykeys;
	static public $pass_through_keys;
	static public $display_key_value;
	static public $bg_theme;
	/**
	 * 
	 */
	public function __construct()
	{
		parent::__construct();
		
		 self::$sectionkeys = array(self::section_query => self::section_query,
							  self::section_display => self::section_display);

		 self::$displaykeys = array(self::DISP_TITLE,
									self::DISP_CONTENT,
									self::DISP_EXCERPT,
									self::DISP_PERMALINK,
									self::DISP_CATEGORIES,
									self::DISP_TAGS,
									self::DISP_CUSTOMFIELDS,
									self::DISP_ATTACHMENTLINKS,
									self::DISP_AUTHOR,
									self::DISP_DATE);
		 
		 self::$pass_through_keys = array(self::wpqu_tax,
										  self::wpqu_meta,
										  self::qu_catsel);

		 self::$display_key_value = array(
										self::DISP_TITLE => 'Title',
										self::DISP_CONTENT => 'Content',
										self::DISP_EXCERPT => 'Excerpt',
										self::DISP_PERMALINK => 'Permalink',
										self::DISP_CATEGORIES => 'Categories',
										self::DISP_TAGS => 'Tags',
										self::DISP_CUSTOMFIELDS => 'Customfields',
										self::DISP_ATTACHMENTLINKS => 'Attachmentlinks',
										self::DISP_AUTHOR => 'Author',
										self::DISP_DATE => 'Date');

		 self::$bg_theme = array(	'bg-dark' => 'dark background',
									'bg-white' => 'light background');

		 
	}

	/**
	 * 
	 */
	public function __destruct()
	{
	}

	
}
?>
